- Qt 6.12
- Qt SQL
- C++ Classes
- QSqlField
- Qt 6.12.0 Reference Documentation

# Obsolete Members for QSqlField

The following members of class QSqlField are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` | QSqlField(const QString &fieldName, QVariant::Type type, const QString &table = QString())
`(deprecated in 6.8)` void | setSqlType(int type)
`(deprecated in 6.0)` void | setType(QVariant::Type type)
`(deprecated in 6.0)` QVariant::Type | type() const
`(deprecated in 6.8)` int | typeID() const

## Member Function Documentation

### `[deprecated in 6.0]` QSqlField::QSqlField(const QString &fieldName, QVariant::Type type, const QString &table = QString())

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use the constructor taking a QMetaType instead.

Constructs an empty field called fieldName of variant type type in table.

This is an overloaded function.

### `[deprecated in 6.8]` void QSqlField::setSqlType(int type)

This function is deprecated since 6.8. We strongly advise against using it in new code.

This internal value is no longer used.

### `[deprecated in 6.0]` void QSqlField::setType(QVariant::Type type)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use setMetaType() instead.

Sets the field's variant type to type.

See also type() and metaType.

### `[deprecated in 6.0]` QVariant::Type QSqlField::type() const

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use metaType() instead.

Returns the field's type as stored in the database. Note that the actual value might have a different type, Numerical values that are too large to store in a long int or double are usually stored as strings to prevent precision loss.

See also setType() and metaType.

### `[deprecated in 6.8]` int QSqlField::typeID() const

This function is deprecated since 6.8. We strongly advise against using it in new code.

This internal value is no longer used.

Returns the type ID for the field.

If the returned value is negative, it means that the information is not available from the database.